OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
FloodFillSign< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
typedef TreeType::Ptr | TreeTypePtr
typedef TreeType::ValueType | ValueType
typedef TreeType::LeafNodeType | LeafNodeType
typedef TreeType::RootNodeType | RootNodeType
typedef RootNodeType::NodeChainType | NodeChainType
typedef boost::mpl::at< NodeChainType, boost::mpl::int_< 1 > >::type | InternalNodeType

## Public Member Functions
| FloodFillSign (const TreeType &tree, std::vector< TreeTypePtr > &segments)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ InternalNodeType

typedef boost::mpl::at<NodeChainType, boost::mpl::int_<1> >::type InternalNodeType

## ◆ LeafNodeType

typedef TreeType::LeafNodeType LeafNodeType

## ◆ NodeChainType

typedef RootNodeType::NodeChainType NodeChainType

## ◆ RootNodeType

typedef TreeType::RootNodeType RootNodeType

## ◆ TreeTypePtr

typedef TreeType::Ptr TreeTypePtr

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

## ◆ FloodFillSign()

FloodFillSign | ( | const TreeType & | tree,
|  | std::vector< TreeTypePtr > & | segments
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h